package samples;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Scanner;

/**
 * Java application testing "Scanner objects"
 *
 * @version 1.01 02/02/2005
 * @author  John Jay King
 *
 * Will not compile in Java 1.4 or earlier 
 */
public class UsingScanner {
	public static void main(String[] args) {
		// old way
	    String firstName;  
	    InputStreamReader inStream = new InputStreamReader(System.in);
	    BufferedReader inBuf = new BufferedReader(inStream);
	    System.out.print("Please enter your first name => "); // stays on line
	    try {
	       	   firstName = inBuf.readLine();
	    } // end of first try block
	    catch (IOException e) {
	      System.out.println("Problem reading first name, bye-bye!");
	      return;
	    } // end catch block
	    
	    // new way
	    String lastName;
	    System.out.print("Please enter your last name => "); // stays on line
	    Scanner fromkeyboard = new Scanner(System.in);
	    lastName = fromkeyboard.next();
	    System.out.println("Howdy " + firstName + " " + lastName + "!");
	}

}
